Cygport Reference Manual

### TABLE OF CONTENTS

- qt5-qmake.cygclass

- cygqmake5
- qt5_qmake_compile
- qt5_qmake_install
- src_compile (qt5-qmake)
- src_install (qt5-qmake)

## qt5-qmake.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt5-qmake

DESCRIPTION

This cygclass builds Qt5-based packages which use the qmake build system, including the Qt5 non-base components themselves.

INHERITS

qt5.cygclass

## cygqmake5

[ Top ] [ qt5-qmake.cygclass ] [ Compile Functions ]

SYNOPSIS

      cygqmake5 FILE_OR_DIRECTORY

DESCRIPTION

Generates Makefiles from the specified qmake project file (or directory containing such file).

## qt5_qmake_compile

[ Top ] [ qt5-qmake.cygclass ] [ Compile Functions ]

DEFINITION

    qt5_qmake_compile() {
            cygqmake5 ${S}
            cygmake
    }

## qt5_qmake_install

[ Top ] [ qt5-qmake.cygclass ] [ Install Functions ]

SYNOPSIS

      cd $B
      qt5_qmake_install [OPTIONS]

DESCRIPTION

Installs the package into $D and fixes some common installation issues. Any additional arguments (which may be either variable overrides or additional install targets) are passed directly to make.

WARNING

Many qmake projects do not define correct install rules, if any at all. qt5_qmake_install is of no use in such cases; you must use manual installation commands instead.

## src_compile (qt5-qmake)

[ Top ] [ qt5-qmake.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${B}
            qt5_qmake_compile
    }

## src_install (qt5-qmake)

[ Top ] [ qt5-qmake.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${B}
            qt5_qmake_install
    }